View Issue Details

IDProjectCategoryView StatusLast Update
0008002Talerexchangepublic2023-12-24 06:16
Reporteroec Assigned Tooec  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Versiongit (master) 
Target Version0.9.4Fixed in Version0.9.4 
Summary0008002: exchange_do_deposit.sql needs to provide more information on conflict
Description(This is related - but not equal - to 0007267)

In the event that do_deposit finds a conflict for the (merchant_pub, h_contract_terms) during INSERT, it checks for idempotency by querying the table for an identical entry (with all parameters provided). If there is _no_ such entry, we have another conflict (same primary key values, but different field values).

So far, this only is communicated via a boolean to upstream, which generates an incorrect error message to the client. However, it is not clear, what _actually_ needs to be provided in the error message.

Please clarify what data needs to be provided to the client/merchant in this conflict case and provide that data in the error response.
TagsNo tags attached.

Relationships

child of 0007267 resolvedoec TEH_make_coin_known needs proper conflict handling and evidence gathering 

Activities

oec

2023-12-23 23:38

developer   ~0020800

234b0cd56f69305f27ac5f6cd3828c0d115dcd0f adds the necessary DB-lookups to build and send the h_wire (salted hash of the merchant's bank account) as response to the client. The client can than retrieve more details about the conflicting transaction via GET /deposits/$H_WIRE/$MERCHANT_PUB/$H_CONTRACT_TERMS/$COIN_PUB.

oec

2023-12-23 23:38

developer   ~0020801

234b0cd56f69305f27ac5f6cd3828c0d115dcd0f

Issue History

Date Modified Username Field Change
2023-12-07 17:32 oec New Issue
2023-12-07 17:32 oec Status new => assigned
2023-12-07 17:32 oec Assigned To => oec
2023-12-07 17:33 oec Relationship added child of 0007267
2023-12-08 23:45 oec Description Updated
2023-12-08 23:47 oec Description Updated
2023-12-23 23:38 oec Note Added: 0020800
2023-12-23 23:38 oec Status assigned => resolved
2023-12-23 23:38 oec Resolution open => fixed
2023-12-23 23:38 oec Fixed in Version => git (master)
2023-12-23 23:38 oec Note Added: 0020801
2023-12-24 06:16 Christian Grothoff Fixed in Version git (master) => 0.9.4
2023-12-24 06:16 Christian Grothoff Target Version 0.9.5 => 0.9.4